import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';

const routes: Routes = [
  {path: 'boos', loadChildren: () => import('./boos/boos.module').then(mod => mod.BoosPageModule)},
  {path: 'employer', loadChildren: () => import('./employer/employer.module').then(mod => mod.EmployerPageModule)},
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class FunctionRoutingModule { }
