import { Component } from '@angular/core';
import * as Parse from "parse";


async function registerUser(userData: {
  username: string;
  password: string;
  userId:number;
  repassword:string
  sex:string
},wrong:any){
  console.log("ok")
      const query = new Parse.Query('GzpUser');
      query.equalTo('username', userData.username);
      const results = await query.find();
      if ((results).length > 0) {
        
        wrong='该账号已经注册了'
        console.log(wrong)
      }else{
        if(userData.userId<=10000){
          wrong="QQ号码小于五位数,不符合要求。"
        }
        else{
          if(userData.password==userData.repassword){
            console.log("ok")
            const Gzpuser = Parse.Object.extend('GzpUser');
            const user = new Gzpuser();
            user.set(userData.username,'usernamer')
            user.set(userData.userId,'userId')
            user.set(userData.password,'password')
            user.set(userData.sex,'sex')
            user.save().then(
              (result: any) => {
                console.log('对话消息已保存到数据库:', result);
              },
              (error: any) => {
                console.error('保存对话消息时出错:', error);
              }
            );
            wrong = '注册成功'
            let userParse = new Parse.User()
            userParse.set("username",userData.username)
            userParse.set("userId",userData.userId)
          }else{
            wrong="两次密码输入不一致"
          }
        }
      }
      console.log(wrong)
    return wrong
  }
  
@Component({
  selector: 'app-register',
  templateUrl: './register.page.html',
  styleUrls: ['./register.page.scss'],
})
export class RegisterPage  {
  wrong:any=''
  userData:any = {
    userId:"",
    username:"",
    password:"",
    repassword:"",
    sex:'',
  }
  constructor() {
    (Parse as any).serverURL = "https://web2023.fmode.cn/parse";
    Parse.initialize("dev");
    registerUser(this.userData,this.wrong)
  }
  // sent(){
  //   console.log("ok")
  //   registerUser(this.userData,this.wrong)
  //   console.log(this.wrong)
  // }
  async registerUser(){
    console.log(this.userData)
        const query = new Parse.Query('GzpUser');
        query.equalTo('userId', this.userData.userId);
        const results = await query.find();
        if ((results).length > 0) {
          this.wrong='该QQ号码已经注册过了'
          console.log(this.wrong)
        }else{
          if(this.userData.userId<=10000){
            this.wrong="QQ号码小于五位数,不符合要求。"
          }
          else{
            if(this.userData.password==this.userData.repassword){
              const Gzpuser = Parse.Object.extend('GzpUser');
              const user = new Gzpuser();
              user.set('username',this.userData.username)
              user.set('userId',this.userData.userId)
              user.set('password',this.userData.password)
              user.set('sex',this.userData.sex)
              user.save().then(
                (result: any) => {
                  console.log('对话消息已保存到数据库:', result);
                },
                (error: any) => {
                  console.error('保存对话消息时出错:', error);
                }
              );
              this.wrong='注册成功'
            }else{
              this.wrong="两次密码输入不一致"
            }
          }
        }
        console.log(this.wrong)
    }
}
