import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';

import { HomeFirstPage } from './home-first.page';


const routes: Routes = [
  {path: 'boos', loadChildren: () => import('../../function/boos/boos.module').then(mod => mod.BoosPageModule)},
  {path: 'employer', loadChildren: () => import('../../function/employer/employer.module').then(mod => mod.EmployerPageModule)},
  {
    path: '',
    component: HomeFirstPage
  }
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class HomeFirstPageRoutingModule {}
