import { Injectable } from '@angular/core';
import { SharedService } from './Share.service';
import * as Parse from "parse";

@Injectable({
  providedIn: 'root'
})
export class UserService {


  
  constructor(private sharedService: SharedService) {
    (Parse as any).serverURL = "https://web2023.fmode.cn/parse";
    Parse.initialize("dev");
  }

  /**
   * 检查用户密码是否正确
   */
  async loginUserPassword(userData: {
    username: any;
    password: string;
    userId:string;
  }) {
    try {
      const query = new Parse.Query('GzpUser');
      query.equalTo('userId', userData.userId);
      query.equalTo('password', userData.password);

      const results = await query.find();
      userData.username = results.map(user => user.get('username'));
      if (results.length > 0) {
        let userParse = new Parse.User()
        userParse.set("username",userData.username)
        userParse.set("userId",userData.userId)
        Parse.User.logIn(userData.username, userData.password);
        this.sharedService.isLogin()
        this.sharedService.setUsername(userData.username,userData.userId);
        return true; // 匹配成功
        
      }else{

        return false;
      }
    } catch (err) {
      console.error(err);
      return false;
    }
  }
}
export { SharedService };

